﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
namespace xamDataGridSample
{
    class MainWindowViewModel
    {
        public MainWindowViewModel()
        {
            IsChecked = true;
        }
        public bool IsChecked { get; set; }
        private static ObservableCollection<Product> _products;
        public static ObservableCollection<Product> Products
        {
            get
            {
                if (_products == null)
                {
                    _products = CreateProducts();
                }
                return _products;
            }
        }
        private static ObservableCollection<Product> CreateProducts()
        {
            return new ObservableCollection<Product>
        {
            new Product
            {
                ProductID = 1,
                ProductName = "Chai",
                IsSelected = true,
            },
            new Product
            {
                ProductID = 2,
                ProductName = "Chang",
               IsSelected = false,
             },
             new Product
             {
                 ProductID = 77,
                 ProductName = "Original Frankfurter grune So?e",
                  IsSelected = false,
              },
              new Product
              {
                  ProductID = 72,
                  ProductName = "Mozzarella di Giovanni",
                   IsSelected = false,
              },
             new Product
             {
                 ProductID = 1,
                 ProductName = "Original Frankfurter grune So?e",
                 IsSelected = true,
              },
              new Product
              {
                  ProductID = 2,
                  ProductName = "Mozzarella di Giovanni",
                   IsSelected = false,
              },
             new Product
             {
                 ProductID = 77,
                 ProductName = "Original",
                 IsSelected = true,
              },
              new Product
              {
                  ProductID = 72,
                  ProductName = "Mozzarella",
                  IsSelected = true,
              },
            };
        }
    }
}
